////////////////////////////////////////////////////////////////////////
// A6 main wdl:
//		Created by WED.
////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////
// The PATH keyword gives directories where template files can be found.

/////////////////////////////////////////////////////////////////
// Filename of the starting level.
string level_str = <test_l~1.WMB>; // give file names in angular brackets

////////////////////////////////////////////////////////////////////////////
// Included files

include <commando_movement.wdl>;

var video_mode = 7;
var video_screen = 1;

/////////////////////////////////////////////////////////////////
// Desc: The main() function is started at game start
function main()
{

// entry: Warning Level (0,1, or 2)
// entry_help: Sets sensitivity to warnings (0 = none, 1 = some, 2 = all).
	warn_level = 2;	// announce bad texture sizes and bad wdl code
	init_mouse();
//	shadow_stencil = on;

	menu_pan.visible = on;
	mouse_mode = 1;
	bg_music = media_play(menu_music,null,100);
	next_level = 0;
	in_menu = 1;
	
	while(1) {
		if(next_level) {
			load_pan.visible = on;
			freeze_mode = 1;
			sleep(4);
			level_load(level_str);
			load_pan.visible = off;
			freeze_mode = 0;
			next_level = 0;			
			}
		if(player_lives <= 0 && !in_menu) {
			freeze_mode = 1;
			gover_pan.visible = on;
			media_stop(bg_music);
			sleep(4);
			menu_pan.visible = on;
			gover_pan.visible = off;
			mouse_mode = 1;
			in_menu = 1;
			bg_music = media_play(menu_music,null,100);	
			}	
					
		wait(1);
		}


}


/////////////////////////////////////////////////////////////////
// The following definitions are for the pro edition window composer
// to define the start and exit window of the application.
WINDOW WINSTART
{
	TITLE			"3D GameStudio";
	SIZE			480,320;
	MODE			IMAGE;	//STANDARD;
	BG_COLOR		RGB(240,240,240);
	FRAME			FTYP1,0,0,480,320;
//	BUTTON		BUTTON_START,SYS_DEFAULT,"Start",400,288,72,24;
	BUTTON		BUTTON_QUIT,SYS_DEFAULT,"Abort",400,288,72,24;
	TEXT_STDOUT	"Arial",RGB(0,0,0),10,10,460,280;
}

/* no exit window at all..
WINDOW WINEND
{
	TITLE			"Finished";
	SIZE			540,320;
	MODE	 		STANDARD;
	BG_COLOR		RGB(0,0,0);
	TEXT_STDOUT	"",RGB(255,40,40),10,20,520,270;

	SET FONT		"",RGB(0,255,255);
	TEXT			"Any key to exit",10,270;
}*/


/////////////////////////////////////////////////////////////////
//INCLUDE <debug.wdl>;