

function update_camera;
function set_back_to_menu();
function exit_game();
function start_game();
function init_mouse();

define health, skill1;
define energy, skill2;
define mana, skill3;
define armor, skill4;
define speed, skill5;
define height, skill6;
define team, skill7;
define agility, skill8;
define jump_pwr, skill9;
define move_height, skill10;
define attack_pwr, skill11;
define path_num, skill12;
define waypoint, skill13;
define pause_time, skill14;
define mode, skill15;
define range, skill16;
define reload, skill7;
define reload2, skill18;
define ang_pan, skill20;
define ang_tilt, skill21;
define ang_roll, skill22;
define targ_pan, skill23;
define targ_tilt, skill24;
define targ_roll, skill25; 
define anim_mode, skill26;
define anim_index, skill27;
define ammo, skill28;
define ammo2, skill29;
define force_x, skill30;
define force_y, skill31;
define force_z, skill32;
define shove_x, skill33;
define shove_y, skill34;
define shove_z, skill35;
define target_x, skill36;
define target_y, skill37;
define target_z, skill38;
define fall_floor_alert, skill39;
define parent_handle, skill40;
define snd_handle, skill41;
define collect, flag1;

define _anim_stand = 0;		//animation states
define _anim_walk = 1;
define _anim_run = 2;
define _anim_jump = 3;
define _anim_shoot_stand, 4;
define _anim_salute, 20;

define _no_kill = -1;
define _neutral = 0;			//teams
define _friendly = 1;
define _enemy = 2;

define _mode_wait = 0;
define _mode_patrol = 1;
define _mode_attack = 2;

var temp_var;
var face_pos[3];
var face_ang[3];
var face_vec[3];
var test_var1;
var test_var2;
var test_var3;
var test_var4;
var mod_var = 150;
var mod_var1;

var cam_mode = 2;
var cam_mode_switch = 0;
var cam_normal_dist = 800;
var cam_dist;
var cam_ang[3] = -90,60,0;
var cam_focus[3];
var cam_tolerance = 100;
var cam_max_tolerance = 500;
var cam_tolerance_counter;
var cam_tolerance_counter_start = 20;
var cam_speed;
var cam_max_speed = 30;

var back_to_menu;
var in_menu;
var next_level = 0;
var bg_music;
var phealth_var;
var player_lives = 3;
var player_start_pos[3];
var grav_accel = -4;
var fall_z = -1200;	//player dies if he falls below this height

string temp_str;
string num_str;
string pathname_str;

string pstats_str;
string phealth_str;
string pammo_str;
string pgrenade_str;

entity* parent;

string commando_mdl, <powerloader.mdl>;
string blue_shot_mdl, <blue_ball.mdl>;
string yellow_shot_mdl = <yellow_ball.mdl>;
string explo_sphere_mdl = <explosion.mdl>;
string grenade_mdl = <srgrenate.mdl>;
string gib_mdl = <gibbit.mdl>;

string yellow_flash_spr, <flash_y.bmp>;
string blue_flash_spr, <flash_b.bmp>;
string small_explo_spr = <expl2+16.pcx>;

bmap blueshine_map = <blueshine.bmp>;
bmap bluedrop_map = <bluedrop.bmp>;
bmap orangeburst_map = <orangeburst.pcx>;
bmap smoke_map1 = <rauch.bmp>;
bmap smoke_map3 = <smoke_map.pcx>;
bmap flame1_map = <flame01.pcx>;

bmap arrow_map = <arrow.pcx>;
bmap credit_map = <credit.bmp>;
bmap gameover_map = <gameover.bmp>;
bmap loading_map = <loadlevel.bmp>;
bmap menu_map = <menu.bmp>;
bmap exit_butt_on = <exitselect.bmp>;
bmap exit_butt = <exitoff.bmp>;
bmap start_butt_on = <startselect.bmp>;
bmap start_butt = <startoff.bmp>;
bmap lives_map = <lives.bmp>;
bmap hbar_map = <healthbar.bmp>;

sound weap_attack_snd = <magicattack.wav>;
sound explosion_snd = <explosin.wav>;
sound cannon_snd = <cannon_big.wav>;
sound beep_alert_snd = <countpoints.wav>;

string battle_music = <battle.mid>;
string menu_music = <sg_drums.mid>;

font hifont = <hifont.bmp>,8,10;
font credfont = <Claren15.bmp>, 16, 24;


panel debug_pan {
	pos_x = 20;
	pos_y = 200;
	digits = 0,0,8.3,hifont,1,test_var1;	
	digits = 0,20,8.3,hifont,1,test_var2;
	digits = 0,40,8.3,hifont,1,test_var3;
	digits = 0,60,8.3,hifont,1,test_var4;
	flags = refresh, d3d;
	}

panel stats_pan {
	pos_x = 0;
	pos_y = 0;
	window = 110,50,309,17,hbar_map,phealth_var,0;
	flags = refresh, d3d, visible;
	}
	
text stats_text {
	pos_x = 100;
	pos_y = 40;
	font = hifont;
	string = pstats_str;
	flags = visible;	
	}	
	
text cred_text1 {
	pos_x = 800;
	pos_y = 200;
	layer = 6;
	font = credfont;
	string = "Thanks for Playing!";
	}	
text cred_text2 {
	pos_x = 800;
	pos_y = 300;
	layer = 6;
	font = credfont;
	string = "Idea and Artwork by RealSpawn";
	}
text cred_text3 {
	pos_x = 800;
	pos_y = 400;
	layer = 6;
	font = credfont;
	string = "Programming by GhostDude";
	}	
text cred_text4 {
	pos_x = 800;
	pos_y = 500;
	layer = 6;
	font = credfont;
	string = "Press any key to continue...";
	}	
	
panel lives1_pan {
	pos_x = 500;
	pos_y = 20;
	layer = 1;
	bmap = lives_map;
	flags = overlay;
	}
panel lives2_pan {
	pos_x = 590;
	pos_y = 20;
	layer = 1;
	bmap = lives_map;
	flags = overlay;
	}	
panel lives3_pan {
	pos_x = 680;
	pos_y = 20;
	layer = 1;
	bmap = lives_map;
	flags = overlay;
	}	

panel menu_pan {
	bmap = menu_map;
	button = 345,191,start_butt,start_butt,start_butt_on,start_game,null,null;
	button = 347,253,exit_butt,exit_butt,exit_butt_on,exit_game,null,null;
	layer = 3;
	}
	
panel credits_pan {
	bmap = credit_map;
	layer = 5;
	}	

panel gover_pan { 
	bmap = gameover_map;
	layer = 5;
	}

panel load_pan {
	bmap = loading_map;
	layer = 5;
	}

function fading_part() {
	my.alpha -= my.skill_a * time;
	my.size -= my.skill_b * time;
	if(my.alpha < 0 || my.size < 0) {my.lifespan = off;}
	}	
	
function kill_part() {
	my.lifespan = 0;
	}	
	
function beam_part() {
	my.size = 2;
	vec_set(my.lightblue, vector(0,50,255));
	my.beam = on;
	my.function = kill_part;
	}	
	
	
function mana_sparkle_part() {
	my.bmap = blueshine_map;
	my.size = 3 + random(3);
	vec_set(temp,vector(3 + random(3),0,0));
	vec_rotate(temp,vector(random(360),random(360),0));
	vec_add(my.vel_x,temp);
	vec_set(my.lightblue,vector(255,200,150));
	my.alpha = 100;
	my.move = on;
	my.bright = on;
	my.flare = on;
	my.lifespan = 10;
	my.skill_a = 10;
	my.skill_b = 0.1;
	my.function = fading_part;	
	}		
	
function mana_trail_part() {
	my.bmap = blueshine_map;
	my.size = 6 + random(3);
	vec_set(temp,vector(random(2),0,0));
	vec_rotate(temp,vector(random(360),random(360),0));
	vec_add(my.vel_x,temp);
	vec_set(my.lightblue,vector(255,150,100));
	my.alpha = 100;
	my.move = on;
	my.bright = on;
	my.flare = on;
	my.lifespan = 10;
	my.skill_a = 20;
	my.skill_b = 0.1;
	my.function = fading_part;	
	}	
	
function mana_explo_sparkle_part() {
	my.bmap = blueshine_map;
	my.size = 3 + random(3);
	vec_set(my.lightblue,vector(255,200,150));
	my.alpha = 100;
	my.move = on;
	my.bright = on;
	my.flare = on;
	my.streak = on;
	my.lifespan = 10;
	my.skill_a = 6;
	my.skill_b = 0.1;
	my.function = fading_part;	
	}		
	
function mana_explo_part() {
	my.bmap = blueshine_map;
	my.size = 6 + random(3);
	vec_set(my.lightblue,vector(255,150,100));
	my.alpha = 100;
	my.move = on;
	my.bright = on;
	my.flare = on;
	my.streak = on;
	my.lifespan = 10;
	my.skill_a = 10;
	my.skill_b = 0.1;
	my.function = fading_part;	
	}
	
function mana_burst_lance_part() {
	my.bmap = blueshine_map;
	my.size = 4;
	vec_set(my.lightblue,vector(255,150,100));
	my.alpha = 100;
//	my.move = on;
	my.bright = on;
	my.flare = on;
	my.streak = on;
	my.lifespan = 12;
	my.skill_a = 20;
	my.skill_b = 0;
	my.function = fading_part;	
	}	
	
function orange_burst_part() {
	my.bmap = orangeburst_map;
	my.size = 2 + random(3);
	vec_set(my.lightblue,vector(0,50,200));
	my.alpha = 100;
	my.move = on;
	my.bright = on;
	my.flare = on;
	my.streak = on;
	my.lifespan = 8;
	my.skill_a = 30;
	my.skill_b = 0.1;
	my.function = fading_part;	
	}
	
function orange_burst_lance_part() {
	my.bmap = orangeburst_map;
	my.size = 3;
	vec_set(my.lightblue,vector(100,200,255));
	my.alpha = 100;
//	my.move = on;
	my.bright = on;
	my.flare = on;
	my.streak = on;
	my.lifespan = 12;
	my.skill_a = 20;
	my.skill_b = 0;
	my.function = fading_part;	
	}	
	
function smoke_cannon_part() {
	my.size = 20 + random(10);
	my.red = 5 + random(5);	
	my.green = my.red;
	my.blue = my.red;
	my.bmap = smoke_map3;
	my.move = on;
	my.gravity = -0.1;
	temp_var = vec_length(my.vel_x);
	vec_to_angle(temp,my.vel_x);
	vec_set(my.vel_x,vector(temp_var/5 + random(temp_var/1.2),0,0));
	temp.pan += random(20) - 10;
	temp.tilt += random(20) - 10;
	vec_rotate(my.vel_x,temp);
	my.bright = on;
	my.transparent = on;
	my.alpha = 80; 
	my.lifespan = 30 + random(15);
	my.skill_a = my.alpha / my.lifespan;
	my.skill_b = 20 / my.lifespan;
	my.function = fading_part;
}

function smoke_burn_part() {
	my.size = 10 + random(5);
	my.red = 5 + random(5);	
	my.green = my.red;
	my.blue = my.red;
	my.bmap = smoke_map3;
	my.move = on;
	my.gravity = -0.4;
	vec_set(temp,vector(random(2),0,0));
	vec_rotate(temp,vector(random(360),random(90) - 45,0));
	vec_add(my.vel_x,temp);
	my.bright = on;
	my.transparent = on;
	my.alpha = 60; 
	my.lifespan = 20 + random(5);
	my.skill_a = my.alpha / my.lifespan;
	my.skill_b = 20 / my.lifespan;
	my.function = fading_part;
}

function burning_part() {			
  	my.bmap = flame1_map;
  	my.size = 20;
	my.red = 255;
	my.green = 100 + random(50);
	my.blue = 50 + random(50);
	vec_set(temp,vector(random(2),0,random(2)));
	vec_rotate(temp,vector(random(360),0,0));
	vec_add(my.vel_x,temp);
	my.move = on;
	my.gravity = -0.5;
	my.bright = on;
	my.flare = on;
	my.transparent = on;
	my.alpha = random(10) + 50;
	my.lifespan = 40;
	my.skill_a = 5;
	my.skill_b = 0;
	my.function = fading_part;
}

	
action explo_flash {
	my.facing = on;
	my.near = on;
	my.passable = on;
	my.transparent = on;
	my.flare = on;
	my.bright = on;
	my.alpha = 100;
//	wait(1);
	if(my.speed == 0) {my.speed = 10;}
//	vec_set(my.x,my.force_x);
	while(my.alpha > 0) {
		my.alpha -= my.speed * time; 
/*		if(my.parent != null) {
			you = ptr_for_handle(my.parent);
			if(you != null) {
				vec_set(my.x,my.force_x);
				vec_add(my.x,you.x);
				}
			}*/
		wait(1);
		}
	ent_remove(me);
	}	
	
action small_explo { 
	//ent_playsound(my,explosion_snd,1000);	
	my.facing = on;
	my.passable = on;
	my.bright = on;
	my.transparent = on;
	vec_scale(my.scale_x,0.5);
	my.alpha = 100;
	my.lightrange = 400;
	my.lightred = 255;
	my.lightgreen = 255;
	my.lightblue = 150;
	while(my != null) {
		my.frame += 1 * time;
		my.scale_x += .1 * time;
		my.scale_y += .1 * time;
		my.alpha -= 5 * time;
		my.lightred -= 15 * time;
		my.lightgreen -= 20 * time;
		my.lightblue -= 25 * time; 
		if (my.frame >= 16) {ent_remove(me);}
		wait(1);
	}
}	
	
action explo_sphere {
	my.passable = on;
	my.transparent = on;
	my.bright = on;
	my.flare = on;
	vec_scale(my.scale_x,.1);
	wait(1);
	while(my.scale_x < my.range / 16) {
		my.scale_x += 1.4 * time;
		my.scale_y = my.scale_x; 
		my.scale_z = my.scale_x;
		my.alpha -= 2 * time;
		my.pan += 10 * time;
		wait(1);
	}
	ent_remove(me);
}	

function gib_impact_event() {
	my.energy = 0;
}

function explo_gib() {
	my.light = on;
	my.red = 255;
	my.green = 100 + random(50);
	my.blue = 50 + random(50);
	my.light = on;
	my.passable = on;
	my.bright = on;
	my.flare = on;
	my.transparent = on;
	my.alpha = random(10) + 80;
	my.energy = 100;
	my.enable_block = on;
	my.enable_impact = on;
	my.enable_entity = on;
	my.event = gib_impact_event;
	wait(1);
	while(my.energy > 0) {
		my.force_z += grav_accel * time;
		vec_set(temp,my.force_x);
		vec_scale(temp,time);
		ent_move(nullvector,temp);
		if(my.energy < 95) {my.passable = off;}	
		vec_set(face_vec,my.force_x);
		vec_scale(face_vec,0.1);	
		effect(burning_part,1,my.x,face_vec);
		my.energy -= time;
		wait(1);
		}	
	ent_remove(me);	
	}		



function shot_impact_event() {
	parent = ptr_for_Handle(my.parent_handle);
	if(event_type == event_block) {
		my.health = 0;
		}
	if((event_type == event_entity || event_type == event_impact) && you != null && you != parent) {
		my.health = 0;
		if(you.team != my.team && you.team != _no_kill) {you.health -= max(my.attack_pwr - you.armor, 0);}
		}		
		
	}
	
action energy_shot {
	my.passable = on;
//	vec_scale(my.scale_x,mod_var);
	my.health = 1;
	my.energy = 50;
	my.speed = 80;
//	my.shove_z = 5;
	my.attack_pwr = 1;
	my.transparent = on;
	my.alpha = 90;
	my.enable_impact = on;
	my.enable_entity = on;
	my.enable_block = on;
	my.enable_scan = on;
	my.event = shot_impact_event;
	my.passable = off;
	my.push = -1;
	my.narrow = off;
	my.fat = off;
	var fx_normal[3];
	if(you != null) {
		my.pan = you.pan;
		my.parent_handle = handle(you);
		my.team = you.team;
		}
	while(my.health > 0 && my.energy > 0) {
		my.force_x = my.speed * time;
//		my.shove_z += grav_accel * 0.5 * time;
		
//		my.force_z = my.shove_z * time;
		you = ptr_for_handle(my.parent_handle);
		move_mode = ignore_passable + ignore_you + ignore_push;
		c_move(my,my.force_x,nullvector,move_mode);
		vec_set(fx_normal,normal);
		
		effect(mana_sparkle_part,15 * time,my.x,nullvector);
		effect(mana_trail_part,15 * time,my.x,nullvector);
		
		my.energy -= time;
		wait(1);
		}
	my.invisible = on;
	my.passable = on;
	my.event = null;
	you = ent_create(blue_flash_spr,my.x,explo_flash);
	vec_scale(you.scale_x,0.3);
	you.speed = 15;
	you = ent_create(blue_flash_spr,my.x,explo_flash);
	vec_scale(you.scale_x,1);
	you.speed = 30;
	if(my.health <= 0) {
		temp_var = 0;
		while(temp_var < 40) {
			vec_set(face_vec,fx_normal);
			vec_rotate(face_vec,vector(random(120) - 60,random(120) - 60,0));		
			vec_normalize(face_vec,2 + random(7));		
			effect(mana_explo_sparkle_part,1,my.x,face_vec);
			temp_var += 1;
			}
			
		}	
	ent_remove(me);
	}
	
action cannon_shot {
	my.passable = on;
	vec_scale(my.scale_x,2);
	my.health = 1;
	my.energy = 50;
	my.speed = 80;
	my.attack_pwr = 10;
	my.transparent = on;
	my.alpha = 90;
	my.enable_impact = on;
	my.enable_entity = on;
	my.enable_block = on;
	my.enable_scan = on;
	my.event = shot_impact_event;
	my.passable = off;
	my.push = -1;
	my.narrow = off;
	my.fat = off;
	var fx_normal[3];
	if(you != null) {
//		my.pan = you.pan;
		my.parent_handle = handle(you);
		my.team = you.team;
		}
	wait(1);	
	while(my.health > 0 && my.energy > 0) {
		my.force_x = my.speed * time;

		you = ptr_for_handle(my.parent_handle);
		move_mode = ignore_passable + ignore_you + ignore_push;
		c_move(my,my.force_x,nullvector,move_mode);
		vec_set(fx_normal,normal);
		
		effect(burning_part,15 * time,my.x,nullvector);
		
		my.energy -= time;
		wait(1);
		}
	my.invisible = on;
	my.passable = on;
	my.event = null;
	you = ent_create(yellow_flash_spr,my.x,explo_flash);
	vec_scale(you.scale_x,1);
	you.speed = 15;
	you = ent_create(yellow_flash_spr,my.x,explo_flash);
	vec_scale(you.scale_x,3);
	you.speed = 30;
	if(my.health <= 0) {
		effect(smoke_cannon_part,50,my.x,vector(0,0,50));
		temp_var = 3;
		while(temp_var > 0) {
			vec_set(face_pos,vector(5 + random(5),0,0));
			vec_rotate(face_pos,vector(random(360),0,0));
			vec_set(face_vec,face_pos);
			vec_add(face_pos,my.x);
			you = ent_create(gib_mdl,face_pos,explo_gib);
			face_vec.z += 10 + random(10);
			vec_set(you.force_x,face_vec);
			temp_var -= 1;				
			}
		}	
	ent_remove(me);
	}	
	

function pickup_event() {
	if(event_type == event_impact && you != null) {
		if(you == player) {my.collect = on; my.passable = on;}
		}
	}	
	
// mode 0 -> 25 bullets
// mode 1 -> 3 grenades
// mode 2 -> 25 health
//uses mode
action item_pickup {
	my.energy = 1;
	my.health = 25;	
	wait(1);
		
	trace_mode = ignore_me + ignore_passable + ignore_sprites + use_box;
	c_trace(my.x,vector(my.x,my.y,my.z - 1000),trace_mode);
	vec_set(my.x,target);
	my.z += -my.min_z;

	my.enable_impact = on;
	my.enable_scan = on;
	my.event = pickup_event;
	
	while(my.health > 0 && my.energy > 0) {
		if(my.collect == on && player != null) {
			if(my.mode == 0 && player.ammo < 100) {my.energy = 0;}	
			if(my.mode == 1 && player.ammo2 < 3) {my.energy = 0;}
			if(my.mode == 2 && player.health < 100) {my.energy = 0;}
			if(my.energy != 0) {my.collect = off; my.passable = off;}		//reset if player doesnt need item
			}	
		wait(1);
		}
	my.passable = on;
	if(my.collect == on && player != null) {
		if(my.mode == 0) {player.ammo = min(player.ammo + 25, 100);}	
		if(my.mode == 1) {player.ammo2 = min(player.ammo2 + 3, 3);}
		if(my.mode == 2) {player.health = min(player.health + 25, 100);}
		}				
	ent_remove(me);	
	}
	
	
function explo_event() {
	if(event_type == event_detect && you != null) {
		you.health -= max(my.attack_pwr - you.armor, 0);
		}	
	}

function landmine_event() {
	if(event_type == event_impact) {
		if(my.mode != _mode_attack) {snd_play(beep_alert_snd,100,0);}
		my.mode = _mode_attack;
		my.passable = on;
		}
	}


action landmine {
	my.energy = 100;
	my.health = 5;
	my.attack_pwr = 50;
	my.range = 150;
	vec_scale(my.scale_x,0.4);
	my.mode = _mode_wait;
	
	trace_mode = ignore_sprites + use_box;
	c_trace(my.x,vector(my.x,my.y,my.z - 1000),trace_mode);
	vec_set(my.x,target);
	my.z += 2 * my.scale_z;

	my.trigger_range = 20 * my.scale_x;	
	my.enable_impact = on;
	my.enable_scan = on;
	my.event = landmine_event;
	
	while(my.energy > 0 && my.health > 0) {
		
		if(my.mode == _mode_attack) {
			my.passable = on;
			my.light = on;
			my.bright = on;
			my.lightblue = 0;
			my.lightgreen = 50;
			my.lightred = 150 + 100 * sin(my.energy * 10);
			my.energy -= 10 * time;
			}
		my.passable = off;
		wait(1);
		}
	
	my.passable = on;
	my.invisible = on;	
	my.enable_detect = on;
	my.event = explo_event;
	vec_set(face_pos,vector(0,0,20));
	vec_rotate(face_pos,my.pan);
	vec_add(face_pos,my.x);
	you = ent_create(small_explo_spr,face_pos,small_explo);
	you = ent_create(explo_sphere_mdl,face_pos,explo_sphere);
	you.range = my.range;
	effect(smoke_cannon_part,100,my.x,vector(0,0,10));
	temp_var = 5;
	while(temp_var > 0) {
		vec_set(face_pos,vector(10 + random(15),0,0));
		vec_rotate(face_pos,vector(random(360),0,0));
		vec_set(face_vec,face_pos);
		vec_add(face_pos,my.x);
		you = ent_create(gib_mdl,face_pos,explo_gib);
		face_vec.z += 30 + random(30);
		vec_set(you.force_x,face_vec);
		temp_var -= 1;				
		}
	snd_play(explosion_snd,100,0);
	sleep(0.5);
	scan_entity(my.x,vector(360,360,my.range));		
	my.anim_index = 0;
	while(my.anim_index < 100) {
		effect(smoke_burn_part,2,my.x,vector(0,0,3));	
		my.anim_index += time;
		}
	ent_remove(me);	
	}


function grenade_event() {
	temp_var = vec_length(my.shove_x);
	vec_set(my.shove_x,bounce);
	vec_normalize(my.shove_x,temp_var * 0.75);
	}

action grenade {
	my.passable = on;
	my.attack_pwr = 20;
	my.range = 150;
	//vec_scale(my.scale_x,0.8);
	my.health = 5;
	my.energy = 30;
	my.speed = 20; 	
	my.shove_z = 20;
	
	my.enable_scan = on;
	my.enable_entity = on;
	my.enable_impact = on;
	my.enable_block = on;
	my.event = grenade_event;
	
	var fx_normal[3];
	if(you != null) {
		my.pan = you.pan;
		my.parent_handle = handle(you);
		my.team = you.team;
		}	
		
	vec_set(my.shove_x,vector(my.speed,0,my.shove_z));
	vec_rotate(my.shove_x,vector(my.pan,0,0));
		
	while(my.health > 0 && my.energy > 0) {
		my.shove_z += grav_accel * time;
	//	vec_set(my.force_x,vector(my.speed * time,0,my.shove_z * time));
	//	vec_rotate(my.force_x,vector(my.pan,0,0));
		vec_set(temp,my.shove_x);
		vec_scale(temp,time);
		move_mode = ignore_passable;
		ent_move(nullvector,temp);		
		my.tilt -= 50 * vec_length(my.shove_x) / sqrt(800) * time;
		my.energy -= time;
		wait(1);
		my.passable = off;
		}
	
	my.passable = on;
	my.invisible = on;	
	my.enable_detect = on;
	my.event = explo_event;
	vec_set(face_pos,vector(0,0,20));
	vec_rotate(face_pos,my.pan);
	vec_add(face_pos,my.x);
	you = ent_create(small_explo_spr,face_pos,small_explo);
	you = ent_create(explo_sphere_mdl,face_pos,explo_sphere);
	you.range = my.range;
	snd_play(explosion_snd,100,0);
	sleep(0.5);
	scan_entity(my.x,vector(360,360,my.range));		
	ent_remove(me);
	}
	
	
function track_player_health() {
	proc_kill(4);
	while(my != null) {
		str_for_num(num_str, my.health);
		str_cpy(phealth_str,"Health: ");
		if(my.health < 100) {str_cat(phealth_str," ");}
		if(my.health < 10) {str_cat(phealth_str,"0");}
		str_cat(phealth_str,num_str);
		str_cat(phealth_str,"%");
		
		str_for_num(num_str, my.ammo);
		str_cpy(pammo_str,"Ammo: ");
		if(my.ammo < 100) {str_cat(pammo_str," ");}
		if(my.ammo < 10) {str_cat(pammo_str,"0");}
		str_cat(pammo_str,num_str);
		
		str_for_num(num_str, my.ammo2);
		str_cpy(pgrenade_str,"Grenades: ");
		if(my.ammo2 < 100) {str_cat(pgrenade_str," ");}
		if(my.ammo2 < 10) {str_cat(pgrenade_str," ");}
		str_cat(pgrenade_str,num_str);
		
		str_cpy(pstats_str, phealth_str);
		str_cat(pstats_str, "   ");
		str_cat(pstats_str, pammo_str);
		str_cat(pstats_str, "   ");
		str_cat(pstats_str, pgrenade_str);
		
		lives1_pan.visible = off; 
		lives2_pan.visible = off;
		lives3_pan.visible = off;
		if(player_lives > 0) {lives3_pan.visible = on;}
		if(player_lives > 1) {lives2_pan.visible = on;}
		if(player_lives > 2) {lives1_pan.visible = on;}		
			
		wait(1);
		}
	
	}	

action player_commando {
	player = my;
	my.invisible = on;
	my.mana = 10;
	my.speed = 15;
	my.agility = 50;
	my.jump_pwr = 25;
	my.ammo = 25;
	my.ammo2 = 3;
	my.team = 1;
	my.push = 0;
	my.move_height = 0;
	my.narrow = on;
	my.trigger_range = 40;
	my.pan = -90;
	my.targ_pan = my.pan;
	my.enable_scan = on;
//	my.trigger_Range = 15;
	var my_shot_vec[3];
	track_player_health();
	wait(1);
		
	my.health = 100;
	my.invisible = off;
	vec_set(player_start_pos,my.x);
	vec_set(cam_focus,my.x);
	my.anim_mode = _anim_salute;

	while(my.health > 0) {
		my.fall_floor_alert = 0;
		
		if(cam_mode == 1 || cam_mode == 3) {
			if(key_cuu) {
				my.force_x = my.speed * time;
				my.anim_mode = _anim_run;
				}
			if(key_cud) {
				my.force_x = -my.speed * time;
				my.anim_mode = _anim_run;
				}	
			if((key_cuu && key_cud) || (!key_cuu && !key_cud)) {
				my.force_x = 0;
				if(my.anim_mode != _anim_salute) {
					my.anim_mode = _anim_stand;
					}
				}	
			if(key_cul) {
				my.pan += my.agility * 0.3 * time;
				}	
			if(key_cur) {
				my.pan -= my.agility * 0.3 * time;
				}	
			my.targ_pan = int(my.pan / 45) * 45;			
			}
		
		if(cam_mode == 2) {
			if(key_cuu) {
				my.targ_pan = 90;
				if(key_cul) {my.targ_pan = 135;}
				if(key_cur) {my.targ_pan = 45;}			
				}
			if(key_cud) {
				my.targ_pan = -90;
				if(key_cul) {my.targ_pan = -135;}
				if(key_cur) {my.targ_pan = -45;}			
				}
			if(key_cul && !key_cuu && !key_cud) {my.targ_pan = 180;}	
			if(key_cur && !key_cuu && !key_cud) {my.targ_pan = 0;}
			if(key_cuu || key_cud || key_cur || key_cul) {
				my.force_x = my.speed * time;
				my.anim_mode = _anim_run;
				}
			else {
				my.force_x = 0;
				if(my.anim_mode != _anim_shoot_stand && my.anim_mode != _anim_salute) {my.anim_mode = _anim_stand;}
				}
			
			face_ang.pan = ang(my.targ_pan - my.pan);
			if(face_ang.pan > 0) { my.pan += min(my.agility*time,abs(face_ang.pan));}
			if(face_ang.pan < 0) { my.pan -= min(my.agility*time,abs(face_ang.pan));}
			}
		
		
		trace_mode = ignore_me + ignore_passable + use_box + ignore_push;
		my.height = trace(my.x,vector(my.x,my.y,my.z - 1000));
		test_var2 = my.height;
		test_var3 = my.shove_z;
		if(key_space && my.height <= my.move_height && my.height != 0) {			//jump!
				my.shove_z = max(my.shove_z,my.jump_pwr);
				}
						
		if(my.height <= my.move_height && my.height != 0) {		//player is on, or in, the ground
			my.shove_x -= (0.1 * my.shove_x) * time;	
			my.shove_y -= (0.1 * my.shove_y) * time;	//add some friction
						
			if(my.shove_z < 0) {		//bounce if player hits the floor hard enough
				my.shove_z *= -0.4;
				}
			else {			
				if(my.height < my.move_height && my.shove_z <= 5) {			//player is inside the ground, give upward force to fix!
					my.shove_z = max(my.shove_z, my.jump_pwr * clamp((my.move_height - my.height) / -my.min_z,0,1) * 0.1);
					}
				}	
			my.force_z = 0;
			}	
		if(my.height < 1 && my.height > 0) {
			my.height = 0;
			}
		if(my.height == 0 || my.height > my.move_height + 1) {		//fall because of gravity			
			my.shove_z += grav_accel * time;
			if(my.shove_z < 0 && abs(my.shove_z * time) > my.height - my.move_height && my.height != 0) {		//falling near floor
				my.fall_floor_alert = 1;		
				}			
			}
	
		my.force_z = 0;
		if(abs(my.shove_z) >= 1) {my.force_z = my.shove_z * time;}	
		if(my.fall_floor_alert == 1) {my.force_z = -(my.height - my.move_height);}	//very near the floor, dont fall as much
		move_mode = ignore_passable + glide + ignore_push + activate_trigger;
		move_friction = 0;		
		c_move(my,my.force_x,nullvector,move_mode);
		
		if((key_ctrl || key_alt) && my.reload <= 0 && my.ammo > 0) {
			my.snd_handle = snd_play(weap_attack_snd,100,0);
			snd_tune(my.snd_handle,0,400,0);
			vec_for_vertex(face_pos,my,1330);
			vec_for_vertex(face_vec,my,1326);
			vec_lerp(my_shot_vec,face_pos,face_vec,0.5);
			you = ent_create(blue_shot_mdl,my_shot_vec,energy_shot);
			you = ent_create(blue_flash_spr,my_shot_vec,explo_flash);
			vec_scale(you.scale_x,0.3);
			you.speed = 40;
			my.reload = 3;
			my.ammo -= 1;
			if(my.anim_mode == _anim_stand || my.anim_mode == _anim_shoot_stand) {my.anim_mode = _anim_shoot_stand; my.anim_index = 0;}
			}
		my.reload -= time;
		
		if((key_m || key_q) && my.reload2 <= 0 && my.ammo2 > 0) {
		//	my.snd_handle = snd_play(weap_attack_snd,100,0);
		//	snd_tune(my.snd_handle,0,400,0);
			vec_set(my_shot_vec,vector(35,0,0));
			vec_rotate(my_shot_vec,my.pan);
			vec_add(my_shot_vec,my.x);
			you = ent_create(grenade_mdl,my_shot_vec,grenade);
			my.reload2 = 10;
			my.ammo2 -= 1;
			if(my.anim_mode == _anim_stand || my.anim_mode == _anim_shoot_stand) {my.anim_mode = _anim_shoot_stand; my.anim_index = 0;}
			}
		my.reload2 -= time;
		
		if(my.anim_mode == _anim_stand) {
			my.anim_index += 1 * time;
			my.anim_index %= 100;
			temp_var = (39 * my.anim_index) / ent_frames(my);
			ent_animate(my,"frame",temp_var,anm_cycle);
			}
		if(my.anim_mode == _anim_run) {
			my.anim_index += 8 * time;
			my.anim_index %= 100;
			temp_var = (5 * my.anim_index + 4000) / ent_frames(my);
			ent_animate(my,"frame",temp_var,anm_cycle);
			}
		if(my.anim_mode == _anim_shoot_stand) {
			my.anim_index += 20 * time;
			my.anim_index = min(my.anim_index,100);
			temp_var = (7 * my.anim_index + 4700) / ent_frames(my);
			ent_animate(my,"frame",temp_var,anm_cycle);
			if(my.anim_index >= 100) {
				my.anim_mode = _anim_stand;
				my.frame = 1;
				}
			}
		if(my.anim_mode == _anim_salute) {
			my.anim_index += 3 * time;
			my.anim_index = min(my.anim_index,100);
			temp_var = (10 * my.anim_index + 8500) / ent_frames(my);
			ent_animate(my,"frame",temp_var,anm_cycle);
			if(my.anim_index >= 100) {
				my.anim_mode = _anim_stand;
				my.frame = 1;
				}
			}
			
		if(my.z < fall_z) {my.health = 0;}		//fell too far!
		
		phealth_var = (1 - my.health / 100) * 309;
		update_camera();
	
		wait(1);
		
		}
	my.anim_index = 0;
	my.passable = on;
	phealth_var = 309;
	my.health = 0;
	while(my.anim_index < 100) {
		my.anim_index += 10 * time;
		my.anim_index = min(my.anim_index,100);
		temp_var = (4 * my.anim_index + 18500) / ent_frames(my);
		ent_animate(my,"frame",temp_var,anm_cycle);
		wait(1);
		}
	sleep(1);
	my.transparent = on;
	while(my.alpha > 0) {
		my.alpha = max(my.alpha - 3 * time, 0);
		wait(1);
		}		
	player_lives -= 1;
	if(player_lives > 0) {
		ent_create(commando_mdl,player_start_pos,player_commando);
		}	
	wait(1);	
	ent_remove(me);	
		
	}
	
	

//uses path_num, waypoint
action simple_enemy {
	my.health = 20;
	my.team = 2;
	my.speed = 6;
	my.agility = 20;
	my.range = 200;
	my.narrow = on;
	my.fat = on;
	my.enable_scan = on;
	if(my.path_num != 0) {
		str_cpy(pathname_str,"track");
		str_for_num(temp_str,my.path_num);
		str_cat(pathname_str,temp_str);
		result = ent_path(pathname_str);
		if(result != 0) {
			ent_waypoint(my.target_x,my.waypoint);
			vec_set(my.x,my.target_x);
			ent_nextpoint(my.target_x);
			vec_diff(temp,my.target_x,my.x);
			vec_to_angle(my.pan,temp);
			}
		}
	my.mode = _mode_wait;
	var my_shot_vec[3];

	while(my.health > 0) {
		test_var1 = my.health;
		if(my.mode == _mode_wait) {
			my.anim_mode = _anim_stand;
			my.force_x = 0;
			if(player != null) {
				if(vec_dist(my.x,player.x) <= my.range * 2 && player.health > 0) {
					my.mode = _mode_attack;
					my.reload = 0;					
					}				
				}				
			}
		if(my.mode == _mode_patrol) {
			result = vec_dist(my.x,my.target_x);
			if(result <= 60) {ent_nextpoint(my.target_x);}
			vec_diff(face_vec,my.target_x,my.x);		
			vec_to_Angle(my.targ_pan,face_vec);
			if(abs(my.targ_pan) < 30) {my.force_x = my.speed * time;}
			else {my.force_x = my.speed * 0.5 * time;}
			if(player != null) {
				if(vec_dist(my.x,player.x) <= my.range * 2 && player.health > 0) {
					my.mode = _mode_attack;
					my.reload = 0;					
					}				
				}			
			}	
		if(my.mode == _mode_attack) {
			if(player == null) {my.mode = _mode_patrol;}
			if(player != null) {
				if(vec_dist(my.x,player.x) <= my.range) {
					my.force_x = 0;
					vec_diff(face_vec,player.x,my.x);		
					vec_to_angle(my.targ_pan,face_vec);
					if(my.reload <= 0 && abs(ang(my.targ_pan - my.pan)) < 30) {
						my.snd_handle = snd_play(weap_attack_snd,100,0);
						snd_tune(my.snd_handle,0,400,0);
						vec_for_vertex(face_pos,my,1330);
						vec_for_vertex(face_vec,my,1326);
						vec_lerp(my_shot_vec,face_pos,face_vec,0.5);
						you = ent_create(blue_shot_mdl,my_shot_vec,energy_shot);
						you = ent_create(blue_flash_spr,my_shot_vec,explo_flash);
						vec_scale(you.scale_x,0.3);
						you.speed = 40;
						my.reload = 10;
						my.anim_mode = _anim_shoot_stand; 
						my.anim_index = 0;
						}
					}
				if(vec_dist(my.x,player.x) > my.range && vec_dist(my.x,player.x) <= my.range * 3) {
					my.force_x = my.speed * time;
					my.anim_mode = _anim_run;
					vec_diff(face_vec,player.x,my.x);		
					vec_to_Angle(my.targ_pan,face_vec);
					}
				if(vec_dist(my.x,player.x) > my.range * 3 || player.health <= 0) {my.mode = _mode_wait;}			
				}
			my.reload -= time;
			}
		face_ang.pan = ang(my.targ_pan - my.pan);
		if(face_ang.pan > 0) { temp.pan = min(my.agility*time,abs(face_ang.pan));}
		if(face_ang.pan < 0) { temp.pan = -min(my.agility*time,abs(face_ang.pan));}
		temp.tilt = 0; temp.roll = 0;
		move_mode = ignore_passable + glide + ignore_push;
		c_rotate(my,temp,move_mode);		
		move_mode = ignore_passable + glide + ignore_push;
		c_move(my,my.force_x,my.shove_x,move_mode);
		
		if(my.anim_mode == _anim_stand) {
			my.anim_index += 1 * time;
			my.anim_index %= 100;
			temp_var = (39 * my.anim_index) / ent_frames(my);
			ent_animate(my,"frame",temp_var,anm_cycle);
			}
		if(my.anim_mode == _anim_run) {
			my.anim_index += 8 * time;
			my.anim_index %= 100;
			temp_var = (5 * my.anim_index + 4000) / ent_frames(my);
			ent_animate(my,"frame",temp_var,anm_cycle);
			}
		if(my.anim_mode == _anim_shoot_stand) {
			my.anim_index += 20 * time;
			my.anim_index = min(my.anim_index,100);
			temp_var = (7 * my.anim_index + 4700) / ent_frames(my);
			ent_animate(my,"frame",temp_var,anm_cycle);
			if(my.anim_index >= 100) {
				my.anim_mode = _anim_stand;
				my.frame = 1;
				}
			}
		if(my.anim_mode == _anim_salute) {
			my.anim_index += 3 * time;
			my.anim_index = min(my.anim_index,100);
			temp_var = (10 * my.anim_index + 8500) / ent_frames(my);
			ent_animate(my,"frame",temp_var,anm_cycle);
			if(my.anim_index >= 100) {
				my.anim_mode = _anim_stand;
				my.frame = 1;
				}
			}
		wait(1);		
		}			
	my.passable = on;	
	while(my.anim_index < 100) {
		my.anim_index += 10 * time;
		my.anim_index = min(my.anim_index,100);
		temp_var = (4 * my.anim_index + 18500) / ent_frames(my);
		ent_animate(my,"frame",temp_var,anm_cycle);
		wait(1);
		}
	sleep(1);
	my.transparent = on;
	while(my.alpha > 0) {
		my.alpha = max(my.alpha - 3 * time, 0);
		wait(1);
		}
	ent_remove(me);	
	}	
	

entity* t;
//uses path_num, waypoint	
action tank_enemy {
	t = my;
	my.health = 30;
	my.armor = 5;
	my.team = 2;
	my.speed = 6;
	my.agility = 10;
	my.range = 400;
	my.narrow = on;
	my.fat = on;
	my.enable_scan = on;
	if(my.path_num != 0) {
		str_cpy(pathname_str,"track");
		str_for_num(temp_str,my.path_num);
		str_cat(pathname_str,temp_str);
		result = ent_path(pathname_str);
		if(result != 0) {
			ent_waypoint(my.target_x,my.waypoint);
			vec_set(my.x,my.target_x);
			ent_nextpoint(my.target_x);
			vec_diff(temp,my.target_x,my.x);
			vec_to_angle(my.pan,temp);
			}
		}
	my.mode = _mode_wait;
	var my_shot_vec[3];
	var turret_speed = 20;
	var my_start_z;
	my.ang_pan = my.pan;
	
	while(my.health > 0) {
		test_var1 = my.health;
		if(my.mode == _mode_wait) {
			my.anim_mode = _anim_stand;
			my.force_x = 0;
			my.ang_pan = my.pan;
			if(player != null) {
				if(vec_dist(my.x,player.x) <= my.range * 1.5 && player.health > 0) {
					my.mode = _mode_attack;
					my.reload = 0;					
					}				
				}				
			}
		if(my.mode == _mode_patrol) {
			result = vec_dist(my.x,my.target_x);
			if(result <= 60) {ent_nextpoint(my.target_x);}
			vec_diff(face_vec,my.target_x,my.x);		
			vec_to_Angle(my.targ_pan,face_vec);
			face_ang.pan = ang(my.targ_pan - my.ang_pan);
			if(face_ang.pan > 0) {my.ang_pan += min(turret_speed*time,abs(face_ang.pan));}
			if(face_ang.pan < 0) {my.ang_pan -= min(turret_speed*time,abs(face_ang.pan));}
			if(abs(my.targ_pan) < 30) {my.force_x = my.speed * time;}
			else {my.force_x = my.speed * 0.5 * time;}
			if(player != null) {
				if(vec_dist(my.x,player.x) <= my.range * 1.5 && player.health > 0) {
					my.mode = _mode_attack;
					my.reload = 0;					
					}				
				}			
			}
		if(my.mode == _mode_attack) {
			if(player == null) {my.mode = _mode_patrol;}
			if(player != null) {
				if(vec_dist(my.x,player.x) <= my.range) {
					my.force_x = 0;
					vec_diff(face_vec,player.x,my.x);		
					vec_to_angle(temp,face_vec);
					face_ang.pan = ang(temp.pan - my.ang_pan);
					if(face_ang.pan > 0) {my.ang_pan += min(turret_speed*time,abs(face_ang.pan));}
					if(face_ang.pan < 0) {my.ang_pan -= min(turret_speed*time,abs(face_ang.pan));}
					if(my.reload <= 0 && abs(ang(temp.pan - my.ang_pan)) < 10) {
						vec_for_vertex(my_shot_vec,my,285);
						you = ent_create(yellow_shot_mdl,my_shot_vec,cannon_shot);
						you.pan = my.ang_pan;
						you.tilt = temp.tilt;
						you = ent_create(yellow_flash_spr,my_shot_vec,explo_flash);
						vec_scale(you.scale_x,1);
						vec_set(temp,my.ang_pan);
						vec_set(face_vec,vector(30,0,2));
						vec_rotate(face_vec,temp);
						effect(smoke_cannon_part,100,my_shot_vec,face_vec);
						snd_play(cannon_snd,100,0);
						my.reload = 30;
						my.anim_mode = _anim_shoot_stand; 
						my.anim_index = 0;
						}
					}
				if(vec_dist(my.x,player.x) > my.range && vec_dist(my.x,player.x) <= my.range * 3) {
					my.force_x = my.speed * time;
					my.anim_mode = _anim_run;
					vec_diff(face_vec,player.x,my.x);		
					vec_to_Angle(my.targ_pan,face_vec);
					face_ang.pan = ang(my.targ_pan - my.ang_pan);
					if(face_ang.pan > 0) {my.ang_pan += min(turret_speed*time,abs(face_ang.pan));}
					if(face_ang.pan < 0) {my.ang_pan -= min(turret_speed*time,abs(face_ang.pan));}
					}
				if(vec_dist(my.x,player.x) > my.range * 3 || player.health <= 0) {my.mode = _mode_wait;}			
				}
			my.reload -= time;
			}
		face_ang.pan = ang(my.targ_pan - my.pan);
		temp.pan = 0;
		if(face_ang.pan > 0) { temp.pan = min(my.agility*time,abs(face_ang.pan));}
		if(face_ang.pan < 0) { temp.pan = -min(my.agility*time,abs(face_ang.pan));}
		temp.tilt = 0; temp.roll = 0;
		move_mode = ignore_passable + glide + ignore_push;
		c_rotate(my,temp,move_mode);		
		move_mode = ignore_passable + glide + ignore_push;
		c_move(my,my.force_x,my.shove_x,move_mode);
		ent_bonereset(my,"Bone");
		ent_bonerotate(my,"Bone",vector(my.ang_pan - my.pan,0,0));		
		wait(1);		
		}	
	my_start_z = my.z;			
	while(1) {
		vec_for_vertex(face_pos,my,79);
		effect(burning_part,1,face_pos,nullvector);
		vec_for_vertex(face_pos,my,1);
		effect(burning_part,1,face_pos,nullvector);
		vec_for_vertex(face_pos,my,305);
		effect(burning_part,1,face_pos,nullvector);
		my.tilt = max(my.tilt - time, -10);
		my.roll = min(my.roll + time, 10);
		my.z = max(my.z - time, my_start_z - 10);
		wait(1);
		}
	ent_remove(me);			
	}			
	
function update_camera() {
	if(cam_mode == 1) {
		vec_set(camera.x, my.x);
		camera.z += 24 * my.scale_z;
		vec_set(camera.pan,my.pan);
		camera.genius = my;
		if(key_c && !cam_mode_switch) {
			cam_mode = 2;
			cam_mode_switch = on;
			}		
		if(!key_c) {cam_mode_switch = off;}
		}
	
	if(cam_mode == 2) {
/*		if(vec_dist(cam_focus,my.x) > cam_max_tolerance || vec_dist(cam_focus,my.x) < 0.1) {vec_set(cam_focus,my.x);}		//snap to position if too far away
		if(vec_dist(cam_focus,my.x) > cam_tolerance || cam_tolerance_counter <= 0 || my.health <= 0) {		//move to position
			cam_tolerance_counter = 0;
			cam_speed = cam_max_speed * abs(cam_focus.x - my.x) / cam_tolerance;		
			if(cam_focus.x < my.x) {cam_focus.x = min(cam_focus.x + cam_speed * time,my.x);}
			if(cam_focus.x > my.x) {cam_focus.x = max(cam_focus.x - cam_speed * time,my.x);}
			cam_speed = cam_max_speed * abs(cam_focus.y - my.y) / cam_tolerance;
			if(cam_focus.y < my.y) {cam_focus.y = min(cam_focus.y + cam_speed * time,my.y);}
			if(cam_focus.y > my.y) {cam_focus.y = max(cam_focus.y - cam_speed * time,my.y);}
			cam_speed = cam_max_speed * abs(cam_focus.z - my.z) / cam_tolerance;
			if(cam_focus.z < my.z) {cam_focus.z = min(cam_focus.z + cam_speed * time,my.z);}
			if(cam_focus.z > my.z) {cam_focus.z = max(cam_focus.z - cam_speed * time,my.z);}		
			}
		if(vec_dist(cam_focus,my.x) == 0) {
			cam_tolerance_counter = cam_tolerance_counter_start;
			}
		if(vec_dist(cam_focus,my.x) != 0) {
			cam_tolerance_counter -= time;
			}			
		vec_set(camera.x,vector(cam_dist,0,0));
		vec_rotate(camera.x,cam_ang);
		vec_add(camera.x,cam_focus);
		vec_diff(temp,cam_focus,camera.x);
		vec_to_angle(camera.pan,temp);
		*/
		camera.genius = null;
		cam_dist = 800;
		vec_set(camera.x,vector(cam_dist,0,0));
		vec_rotate(camera.x,cam_ang);
		vec_add(camera.x,my.x);
		vec_diff(temp,my.x,camera.x);
		vec_to_angle(camera.pan,temp);
		
		if(key_c && !cam_mode_switch) {
			cam_mode = 3;
			cam_mode_switch = on;
			}		
		if(!key_c) {cam_mode_switch = off;}
		}
		
	if(cam_mode == 3) {
		vec_set(camera.x, vector(-600,0,0));
		vec_rotate(camera.x,vector(my.pan,-30,0));
		vec_add(camera.x,my.x);
		vec_diff(temp,my.x,camera.x);
		vec_to_angle(camera.pan,temp);
		camera.genius = null;
		if(key_c && !cam_mode_switch) {
			cam_mode = 1;
			cam_mode_switch = on;
			}		
		if(!key_c) {cam_mode_switch = off;}
		}	
		
	}
	

action next_level_ent {
	trace_mode = ignore_me + ignore_passable + ignore_sprites + use_box;
	c_trace(my.x,vector(my.x,my.y,my.z - 1000),trace_mode);
	vec_set(my.x,target);
	my.z += -my.min_z;

	my.enable_impact = on;
	my.enable_scan = on;
	my.event = pickup_event;
	
	while(1) {
		my.pan += 5 * time;
		my.z += cos(my.pan) * time;
		if(my.collect == on) {next_level = 1;}
		wait(1);
		}	
	}	
	

function init_mouse() {
  MOUSE_MAP = arrow_map; // Arrow as Mouspointer!
  proc_kill(4);
  while (1) // move it over the screen
  {  
    MOUSE_POS.X = POINTER.X;
    MOUSE_POS.Y = POINTER.Y;
    wait(1);
  }
}
		
	
function set_back_to_menu() {
	back_to_menu = 1;
	}		
	
function exit_game() {
	var timer = 0;
	credits_pan.visible = on;
	menu_pan.visible = off;
	cred_text1.visible = on;
	cred_text2.visible = on;
	cred_text3.visible = on;
	cred_text4.visible = on;
	sleep(1);
	while(!key_any) {
		cred_text1.pos_x = 500 * sin(-timer) + 800;
		cred_text2.pos_x = 500 * sin(-timer + 45) + 800;
		cred_text3.pos_x = 500 * sin(-timer + 90) + 800;
		cred_text4.pos_x = 500 * sin(-timer + 135) + 800;
		timer += 2 * time;
		wait(1);
		}
	exit;
}	

function start_game() {
	media_stop(bg_music);
	menu_pan.visible = off;
	mouse_mode = 0;
	player_lives = 3;
	in_menu = 0;
	level_load(level_str);	
	bg_music = media_loop(battle_music,null,80);
	}